[PATCH 3/3] perf-test: add memory test for notmuch-insert
David Bremner
david at tethera.net
Fri Aug 18 16:50:06 PDT 2017
In the future it might be worthwhile selecting corpus messages to
insert, but that seems a bit overcomplicated for now
---
performance-test/M06-insert.sh | 16 ++++++++++++++++
1 file changed, 16 insertions(+)
create mode 100755 performance-test/M06-insert.sh
diff --git a/performance-test/M06-insert.sh b/performance-test/M06-insert.sh
new file mode 100755
index 00000000..9bca199e
--- /dev/null
+++ b/performance-test/M06-insert.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+mkdir -p "$MAIL_DIR"/{cur,new,tmp}
+
+for count in $(seq 1 20); do
+ generate_message "[file]=\"insert-$count\"" "[dir]='tmp/'"
+ memory_run "insert $count" "notmuch insert < $gen_msg_filename"
+done
+
+memory_done
--
2.14.1
More information about the notmuch
mailing list